<div class="card mt-2 app-card {{ application.identifier }}-app-card" id="">
  <div class="card-body">
    <div class="position-absolute top-10px end-10px icon-btn-case">
      {% if application.deployment.state != 1 %}<i class="fa-solid fa-pen icon-btn-dark fs-80percent app-edit-btn"></i>{% endif %}
      {% if not application.deployment or application.deployment.state == 0 %}<i class="fa-solid fa-trash icon-btn-dark fs-80percent app-summary-delete-btn" data-bs-toggle="modal" data-bs-target="#deleteModal"></i>{% endif %}
    </div>
    <div class="app-edit-form">
      <h1>Edit app {{application.descriptive_name}}</h1>
      {% with app_card=1 %}
        {% include "forms/config_app.html" %}
      {% endwith %}
    </div>
    <div class="brief-display app-summary">
      <div class="visible-content">
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Identifier</div>
          <div class="col-8 app-identifier">{{application.identifier}}</div>
        </div>
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Name</div>
          <div class="col-8 app-name descriptive-name">{{application.descriptive_name}}</div>
        </div>
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Description</div>
          <div class="col-8">{{application.description}}</div>
        </div>
      </div>
      <div class="see-more-btn">See more &darr;</div>
      <div class="hidden-content">
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Container image</div>
          <div class="col-8 container-image">{{application.container_image}}</div>
        </div>
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Image tag</div>
          <div class="col-8 image-tag">{{application.image_tag}}</div>
        </div>
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Container port</div>
          <div class="col-8 container-port">{{application.container_port}}</div>
        </div>
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Authentication</div>
          <div class="col-8 authentication">{{application.get_authentication_display}}</div>
        </div>
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Authenticated routes</div>
          <div class="col-8 route-tag-container authenticated-routes">
            {% for route in application.route_set.all %}
              {% if route.authenticated %}
                <div class="route-tag mt-1">{{route.route}}</div>
              {% endif %}
            {% endfor %}
          </div>
        </div>
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Unauthenticated routes</div>
          <div class="col-8 route-tag-container unauthenticated-routes">
            {% for route in application.route_set.all %}
              {% if not route.authenticated %}
                <div class="route-tag mt-1">{{route.route}}</div>
              {% endif %}
            {% endfor %}
          </div>
        </div>
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Runtime command</div>
          <style>
            .runtime-command {
              word-wrap: break-word;
            }
          </style>
          <div class="col-8 runtime-command">{% if application.runtime_command %}{{application.runtime_command}}{% endif %}</div>
        </div>
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Environment variables</div>
          <div class="col-8"><pre class="mt-1 environment-variables">{% if application.environment_variables %}{{application.environment_variables}}{% endif %}</pre></div>
        </div>
        <div class="row">
          <div class="col-4 fw-semibold">Database</div>
          <div class="col-8">{{application.database}}</div>
        </div>
        <div class="mb-2 helper-text">Note this value <strong>cannot be changed</strong> once <strong>deployed</strong></div>
        <div class="row mb-2">
          <div class="col-4 fw-semibold">Last updated</div>
          <div class="col-8">{{application.last_updated}}</div>
        </div>
        <div class="see-less-btn">See less &uarr;</div>
      </div>
    </div>
  </div>
</div>